# Depots

Retrieve a paginated list of car rental depots. Supports incremental updates via the `last_modified` filter.

Endpoint: POST /cars/depots
Version: 3.2
Security: BearerAuth

## Header parameters:

  - `X-Affiliate-Id` (integer, required)
    Include here your Affiliate identifier number

## Request fields (application/json):

  - `last_modified` (string)
    Returns depots modified after the specified timestamp (exclusive).
    Example: 2026-03-01T11:05:00+00:00

  - `maximum_results` (integer)
    The maximum number of results to return.

  - `languages` (array)
    List of language codes to return translated fields. If a translation is unavailable, the default language (`en-gb`) is returned.

  - `page` (string)
    Pagination token used to retrieve the next page of results. Obtained from `next_page`.

## Response 200 fields (application/json):

  - `request_id` (string)
    Uniquely identifies the request. Please provide this identifier when contacting support.

  - `data` (array)

  - `data.id` (integer)
    Unique identifier of a depot. Retrieve the full list by calling the (/cars/depots](#/cars/depots).
    Example: 5944

  - `data.contact` (object)
    Contact information of the depot. Returns `null` when unavailable.

  - `data.contact.email` (string | null)
    Email address of the depot. Returns `null` when unavailable.
    Example: depot@test.booking.com

  - `data.contact.telephone` (string | null)
    Telephone number of the depot. Returns `null` when unavailable.
    Example: +31882847620

  - `data.city` (integer)
    Unique identifier of the city where the depot is located. If the city ID is not included in the list returned by /common/locations/cities, call that endpoint using the city filter.
    Example: -1471393

  - `data.pickup` (object | null)
    Pickup or drop-off information.

  - `data.pickup.instructions` (object)
    A string localised in multiple languages.

  - `data.pickup.working_hours` (object)
    Opening and closing times per day of the week. Days may be omitted if the depot is closed.

  - `data.location` (object)
    Depot location information.

  - `data.location.address` (string | null)
    Depot address information.
    Example: 5 Aankomstpassage

  - `data.location.airport` (string | null)
    Airport IATA code.
    Example: AMS

  - `data.location.depot_location_type` (string | null)
    Specifies where the depot is located (for example, inside the terminal, at a train station, or downtown). Returns `null` when not defined.
    Enum: "in_terminal", "car_rental_centre", "outside_terminal", "airport_hotel", "shuttle_bus", "meet_greet", "trainstation", "downtown"

  - `data.location.coordinates` (object)

  - `data.location.coordinates.latitude` (number)

  - `data.location.coordinates.longitude` (number)

  - `data.location.country` (string)
    A two-letter code that uniquely identifies a country. This code is defined by the ISO 3166-1 alpha-2 standard (ISO2) as described here: https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2. The full list can be obtained by calling common/locations/countries.
    Example: nl

  - `data.location.name` (object)
    Translated depot name.
    Example: {"en-gb":"Amsterdam Airport Schiphol - Terminal 3"}

  - `data.location.post_code` (string | null)
    Depot post code
    Example: 1118 AX

  - `data.services` (array)
    List of services provided by the depot.

  - `data.supplier` (integer)
    Uniquely identifies a vehicle supplier. The full list can be obtained by calling [/cars/suppliers](#/cars/suppliers).

  - `data.ratings` (object | null)
    Review count and average score for the depot.

  - `data.ratings.number_of_reviews` (integer)
    Number of validated reviews for the depot.
    Example: 125

  - `data.ratings.score` (number)
    Current review score of the depot, in the range 1.0 to 10.0.
    Example: 8.7

  - `metadata` (object)
    Metadata about the request.

  - `metadata.next_page` (string | null)
    Indicates that more results are available. Pass this token to the `page` parameter to retrieve the next page of results.

## Response 400 fields (application/json):

  - `request_id` (string, required)
    Uniquely identifies the request. Please provide this identifier when contacting support.

  - `errors` (array, required)

  - `errors.id` (string, required)

  - `errors.message` (string, required)

## Response 500 fields (application/json):

  - `request_id` (string, required)
    Uniquely identifies the request. Please provide this identifier when contacting support.

  - `errors` (array, required)

  - `errors.id` (string, required)

  - `errors.message` (string, required)

